Ubuntu :: Sun's Java Deprecated / Why Is So?

May 10, 2010

Worked around the problems with OpenJDK causing slowness/crashes/CPU-hogging on my system by installing Sun JDK.

Why is Sun's Java deprecated? OpenJDK's buggier than an ant farm in my experience, and every time a Java applet starts in my browser, CPU immediately goes to 100%, and doesn't stop, even when I close the tab that the applet was running in. Only way to stop the CPU from getting hogged is to kill Firefox and restart it.

That or switch to Sun Java instead of OpenJDK.

View 1 Replies


ADVERTISEMENT

Debian :: Networking Script Being Deprecated?

Aug 27, 2011

I find network-manager inconsistent most of the times and hence use the /etc/init.d/networking script to bring the interfaces up. But for sometime now I have been getting these sort of messages :- $ sudo /etc/init.d/networking restart Running /etc/init.d/networking restart is deprecated because it may not enable again some interfaces ... (warning). Reconfiguring network interfaces...done. If its being deprecated, then who or what is going to be taking over those functions?

View 3 Replies View Related

General :: Cp Reply Option Is Deprecated Try Using I Or F Instead

Jan 5, 2010

my command is the following:cp -LRuvp --reply=yes /mnt/filename /mnt/usbdrive/filename 2>/mnt/usbdrive/ error.log.i get "the reply option is deprecated try using i or f instead" the problem with the above is the only thing i get in my error log is: "the reply option is deprecated try using i or f instead" and if i use "i , f , /cp , etc..." nothing is generated in my log..what i want to do is copy file from source with "LRuvp" to destination and appened out put to "error.log"

View 14 Replies View Related

Fedora :: WARNING: Deprecated Config File - On Boot

Jan 5, 2010

I see these boot.log warning and understand that the directory where these config files are kept has (or is) changing. Okay, but is the correct procedure to just move them over from the /etc/modprobe.conf dir to the /etc/modprobe.d file? I am wondering if some changes to those config files or those that they are related to must be also made? A portion of the boot.log is below.

[Code]....

View 14 Replies View Related

Fedora :: WARNING: Deprecated Config File - While Booting

Mar 1, 2010

i got this warning message while booting

WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.
WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.

View 4 Replies View Related

Slackware :: Error Message When Tried To Run Clive - Md5 Module Deprecated

Mar 5, 2011

Having not used Clive in over a year I went over to [URL]... and downloaded, built, and installed both Clive and URLgrabber. Here is error message when I tried to run Clive,

[code]...

View 10 Replies View Related

General :: Command To Check The Java Version: Java -versionand Got :bash :java: Command Not Found?

Jul 26, 2010

I've just installed java (jre-6u21-linux-i586.bin) on Red Hat 4.4 AS and issued this command to check the java version: java -versionand got :bash :java: command not found

View 4 Replies View Related

Debian Configuration :: Kernel Panic: Power/level Is Deprecated?

Jul 13, 2011

I am currently having issues with system freeze when unmounting portable hard drives. This happens almost every single time. Normal USB sticks are fine and do not produce the freeze. I am using kernel 3.0.0-rc6, however the issue also persists when switching back to 2.6.39. This is the error message i get when freeze occurs, reverting to terminal output:

WARNING! power/level is deprecated use power/control instead
Jul 13 18:26:49 destiny kernel: [ 6196.892776] Call Trace:
Jul 13 18:26:49 destiny kernel: [ 6196.892803] [<ffffffffa008feec>] ? scsi_setup_blk_pc_cmnd+0x15/0x104 [scsi_mod]

[Code]...

View 2 Replies View Related

Software :: Exaile (0.3.2.0) Error - Object Register Function Deprecated

Aug 18, 2010

I have been trying to install this nice looking piece of software for the last 3/4 days, my lastest error is..

Code:
** Message: pygobject_register_sinkfunc is deprecated (GtkWindow)
** Message: pygobject_register_sinkfunc is deprecated (GtkInvisible)
** Message: pygobject_register_sinkfunc is deprecated (GtkObject)
INFO : Loading Exaile 0.3.2.0...
INFO : Loading settings...
** Message: pygobject_register_sinkfunc is deprecated (GstObject)
Traceback (most recent call last): .....

I have installed:
pygtk-2.16.0
pygobject-2.21.5
gst-python-0.10.19
dbus-python-0.83.0
pycairo-1.2.2
gobject-introspection-0.9.3
libffi-3.0.9

View 8 Replies View Related

Programming :: Warning: Deprecated Conversion From String Constant To Char*

Jul 3, 2010

I've just updated my linux system (Debian) and went to compile some code I'm working on. However it causes some problems, presumable because of GCC up dates. I get many of my subject line errors for example

../../common/Version_Control.cpp: In function int VersionControl():
../../common/Version_Control.cpp:55: warning: deprecated conversion from string constant to char*

So I check up the error and it comes from my error handler code which is a function

extern void SetError(char *string,int error_number)

The net tells me all I need to do is convert char *string to const char *string, however when I do so and recompile I get the following error

Error_Control.cpp: In function �void SetError(const char*, int)�:
Error_Control.cpp:41: error: invalid conversion from �const char*� to �char*�
make: *** [Error_Control.o] Error 1

I think I've done exactly what's recommended ?

View 3 Replies View Related

Programming :: G++ Warning - Deprecated Conversion From String Constant To 'char*'

Jan 10, 2011

My problem is that the warning keeps apperaing when I run g++ compilation.

Say, I have a system runtime function with header (imaginary)sysruntime.h: void printfunction(char *line);

Then in my .cpp file, I will include the above header #include <sysruntime.h>

Then, I do the below:
Line12: char *linetoprint = "Print this line";
Line13: printfunction(linetoprint);

But, I will get the warning message "Line12: deprecated conversion from string constant to 'char*'". (Even though it compiles)

My question is how should I declare my char* so that I wont get this warning message, and can still run printfunction(char* line) correctly?

View 7 Replies View Related

Networking :: Error: Code: Using Intrapositioned Negation Deprecated In Favor Of Extrapositioned

Nov 25, 2009

I'm using them to make a simple firewall on the girlfriends computer that is directly connected to the Internet. I wish to block everything except for a SSH port for me to admin with, and normal use things like a web browser. I grabbed an old template for the config and modified as needed. I'm getting an error that I'm not sure what is causing it. it is saying all incoming packets on any device is accepted. Or since there are explicit rules for eth0, that lines just means for any other device, which in her case there are none, so ends up meaning nothing?

[code]...

View 2 Replies View Related

General :: Conky's Config / Error Border_margin Is Deprecated, Please Use Window.border_inner_margin Instead?

Jan 6, 2010

I'm using Conky in my Ubuntu 9.10 Karmic. I have an error message like this:

Quote:

Conky: border_margin is deprecated, please use window.border_inner_margin instead
Conky: one or more $endif's are missing
Conky: desktop window (1a00065) is subwindow of root window (10d)
Conky: window type - override
code....

View 3 Replies View Related

Software :: Using Checkinstall To Make Eboard: Deprecated Conversion From String Constant To Char*

May 16, 2011

I am trying, using checkinstall to make eboard to enable use of this program with a DGT electronic chessboard (option not available in the program included in the repositories) according to the instructions given here. After the preliminaries, namely downloading and extracting the source from: [URL]-1.1.1.tar.bz2./configure runs fine but (after su-ing to root), both make install & checkinstall fail after numerous warnings about "deprecated conversion" like:

Code:

board.cc:55: warning: deprecated conversion from string constant to 'char*'
board.cc:157: warning: deprecated conversion from string constant to 'char*'
board.cc: In function 'gboolean board_expose_event(GtkWidget*, GdkEventExpose*, void*)':
board.cc:1414: warning: deprecated conversion from string constant to 'char*'
bugpane.cc:304: warning: deprecated conversion from string constant to 'char*'

View 4 Replies View Related

Ubuntu :: Install Latest Java Version - Java SE 6 Update 24?

Feb 18, 2011

If you are interested, Java SE 6 Update 24 is available. The Check Java Version link in my signature will tell you if you are up to date or not. The Update Java Version link in my signature will tell you how to obtain and install the latest version. The 32 bit version install directions are on the left side of that page and the 64 bit instructions are on the right side.

Just remember to remove the current version before installing the new one as it says in the instructions. The remove instructions are below the install instructions. Also, in Step 9 - "Now you'll want to tell the system, that there's a new Java version available." See the note below it that says if you get an error upon entering the command once, enter it a second time. I have to do that and sometimes forget. Just thought I would mention that. These instructions are already setup for version 6 update 24, but they can be modified for any update and they will work. I have been using these instructions for a couple of years and they work.

View 9 Replies View Related

Ubuntu :: Error While Hash Checking Of Torrent - The Sha Module Is Deprecated - Use The Hashlib Module Instead From Sha Import Sha

Jun 8, 2010

Code:

nits@nits-desktop:/mnt/Storage/Tors/Incomp$ btdownloadcurses --check_hashes 1 filename.torrent
/usr/lib/python2.6/dist-packages/BitTorrent/Storage.py:4: DeprecationWarning: the sha module is deprecated; use the hashlib module instead from sha import sha

These errors occurred during execution:

[09:37:48] IOError - [Errno 5] Input/output error

Got this error when I tried hash checking, was downloading the file using rtorrent when there was a sudden powercut and my system shutdown abruptly, tried restarting the torrent and kept encountering problems while restarting.

View 2 Replies View Related

Ubuntu :: Install Java And Firefox Java Plugin On 10.10?

Jan 28, 2011

How to install java and firefox java plugin on Ubuntu 10.10?

View 2 Replies View Related

Debian :: Install The Java Plugin But The Java Test Pages Show Not Installed

Jun 13, 2011

I try to install the java plugin but the java test pages show not installed. I have tried the openjdk-6-jdk package and the Oracle/Sun 1.6.0_26 version to no avail.

Is there some good instructions page someplace? I have yet to find a set of instructions that provides something clear that works.

View 5 Replies View Related

Slackware :: Installing Java Error - When Trying To Run A Java App With The Firefox Plugin - Browser Crashe

May 29, 2011

Code: ~ $ /usr/java/jre1.6.0_25/bin/java -showversion Error occurred during initialization of VMjava/lang/NoClassDefFoundError: java/lang/Object

That's the error I get. When trying to run a java app with the firefox plugin, the browser simply crashes if it's the 64bit java or tells me it's not installed if it's the 32bit version.

I'm at a loss as to what to do. I think it has something to do with leftover gunk from a previous version I misinstalled(Is that even a word?) Anyway, the only thing that google could come up with was a solution for windows which laid blame on Bill Gates for having a bunch of pf (java prefetch) files stuffed into c:windows for no apparent reason. The solution was to delete them, but I can't seem to find the java prefetch folder in linux. The method I used is downloading the rpm from java.com the rpm2tgz then installpkg then cp libnpjp2.so to firefox plugins folder.

View 8 Replies View Related

Debian Installation :: Java Programm To Install And The Installer Is GUI Java Based?

Feb 18, 2011

This is my first post and I'm pretty new on Debian. I had used Ubunu for a while now and I've decided to move on Debian Squeeze.But I've one problem: I've a Java programm to install and the installer is GUI Java based. When I run the script, I've the next message:

Preparing to install. Extracting the JRE from the installer archive.Unpacking the JRE.Extracting the installation resources from the installer archive.Configuring the installer for this system's environment.Launching installer Graphical installers are not supported by the VM. The console mode will be used instead. Preparing CONSOLE Mode Installation. But this program is not able to run the installation in console mode.

I've tried to install sun-java6-jre but without success.Has anyone an idea to help me install this programm? My Configuration: Debian Squeeze 6.0 amd64.

View 13 Replies View Related

General :: Enter The Command Java -version It Shows Java Is Not Found?

Jan 19, 2010

Java is installed in linux machine and when I enter the command java -version it shows java is not found.At the same time when i run from the folder where its installed with ./java -version it works.

first of all why its not working from any other place? also why do I need to give ./ from the folder?

View 3 Replies View Related

General :: Java JRE Installed So End-users Don't Have To Install It To Run Java Applications?

Jan 29, 2010

Do Windows XP, Vista, Windows 7 and all Linux distributions have Java JRE installed so end-users don't have to install it to run Java applications?

View 4 Replies View Related

Fedora :: WARNING: "deprecated Modprobe Warnings Followed By Boot Has Failed"

Feb 27, 2010

this started to happen recently after a reboot due to updates. The screen displays many, meaning more than 12 of: WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/ which is then followed by: Boot has failed, sleeping forever.

I deleted /etc/modprobe.conf, so that is not the problem. The normal boot process will display the modprobe warning twice and all is well. If the warning is displayed more than twice, the boot will fail and I have to try again.

View 1 Replies View Related

Fedora :: Boot Warnings: "Deprecated Config File"

Oct 12, 2009

I keep getting this warning when booting Fedora 11: WARNING: Deprecated config file /etc/modprobe.conf, all config files belong into /etc/modprobe.d/.

View 4 Replies View Related

Security :: Deprecated Pam_stack Module Called From Service "su-l"

Nov 17, 2010

I get the following message in /var/log/secure: Nov 15 09:27:21 su: Deprecated pam_stack module called from service "su-l"

I have done some research and it seems I need to get rid of pam_stack.so in /etc/pam.d/su but I can't find out what to use in its place.

Below is a copy of my /etc/pam.d/su file:

Code:

From what I understand, I need to replace the line "auth required pam_stack.so service=system-auth" with "auth include system-auth"

My problem is how do I then go about limiting access to su based on group membership without pam_stack.so?

View 2 Replies View Related

OpenSUSE Install :: Cannot Compile Vdrift-2009-06-15 - Warning: The Options Class Is Deprecated; Use The Variables Class Instead

Mar 12, 2010

I have a problem with compiling vdrift-2009-06-15 using scons. As the source that i obtained only supports scons i cannot use make. the error that i get when i try to compile it in GNOME Terminal is: scons: Reading SConscript files ... scons: warning: The Options class is deprecated; use the Variables class instead.
File "/home/mohit/Download/vdrift-2009-06-15/SConstruct", line 9, in <module>

scons: warning: The BoolOption() function is deprecated; use the BoolVariable() function instead.
File "/home/mohit/Download/vdrift-2009-06-15/SConstruct", line 13, in <module>
Checking for C++ header file asio.hpp... (cached) yes
Checking for C++ header file boost/bind.hpp... (cached) yes
Checking for C++ header file GL/gl.h... (cached) yes
Checking for C++ header file GL/glu.h... (cached) yes
Checking for C++ header file SDL/SDL.h... (cached) yes
[Code]........

View 4 Replies View Related

Software :: Warning: The Build_dir Keyword Has Been Deprecated; Use The Variant_dir Keyword Instead

Dec 5, 2010

im using

Code:

scons prefix=/usr qtdir=/opt/qt4

to configure and i get these compilation errors

Code:

scons prefix=/usr qtdir=/opt/qt4
scons: Reading SConscript files ...
Platform: Linux i686

scons: warning: The build_dir keyword has been deprecated; use the variant_dir keyword instead.

File "/mixxx-1.7.2/SConstruct", line 42, in <module>
WE ARE IN: /mixxx-1.7.2/linux_build
QT path: /opt/qt4
Loading qt4 tool...

[code]...

ive been scratching my head at this one for days, i turned on the ubuntu virtual machine and checked what apt wanted to pull, and im suspecting that i need to find the source versions of several packages in regard to qt4 and libqt4 and various libqt4 extensions.

View 4 Replies View Related

CentOS 5 :: Java Not Working In Firefox After Java Upgrade

Apr 5, 2010

After upgrading java (jre) to 1.6.0_19, the java plugin no longer loads into Firefox. All the rest of my plugins from /usr/lib/mozilla/plugins/ load fine.Java can be a pain such a pain the neck!

View 8 Replies View Related

CentOS 5 :: How To Install JAVA JAVA BRIDGE PHP

May 1, 2010

I have installed CENTOS / PHP 5.1.6 / JAVA 1.5.0_20. Now i want to install JAVABRIDGE for PHP and JAVA title should list in the PHP_info page.

View 1 Replies View Related

Ubuntu :: Which Java - OpenJDK Or Sun Java ?

Aug 26, 2010

If I want to install Java on Ubuntu: which Java version should I take?

OpenJDK or Sun Java ?

What is mostly used on Ubuntu?

What are the pros and cons?

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved